Sign in Start for free

Feeds

Get a list of feeds

GET /api/{spaceId}/feeds

Also reachable at /api/feeds, /api/spaces/{spaceIdentifier}/feeds.

Path Parameters

  • spaceId string (required)
    The id of the space for the Feed.

Query Parameters

  • feedType array of string
    The feed types to be matched, provided as a comma separated list of strings.
  • ids array of string
    The feed ids to be matched, provided as a comma separated list of strings.
  • name string
    The exact name of a feed to be matched.
  • partialName string
    The partial name of feeds to be matched.
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — The requested list of Feeds

  • Id string
    Gets or sets a unique identifier for this resource.
  • ItemType string
  • Items array of object
    • FeedType enum
      Allowed values: None, NuGet, Docker, Maven, OctopusProject, GitHub, Helm, OciRegistry, AwsElasticContainerRegistry, BuiltIn, S3, AzureContainerRegistry, GoogleContainerRegistry, ArtifactoryGeneric, Npm, GcsStorage, PyPi.
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
    • PackageAcquisitionLocationOptions array of enum
      Allowed values: Server, ExecutionTarget, NotAcquired.
    • Slug string
    • SpaceId string
  • ItemsPerPage integer
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastPageNumber integer
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "Id": "string",
  "ItemType": "string",
  "Items": [
    {
      "FeedType": "None",
      "Id": "string",
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "Name": "string",
      "PackageAcquisitionLocationOptions": [
        "Server"
      ],
      "Slug": "string",
      "SpaceId": "Spaces-1"
    }
  ],
  "ItemsPerPage": 0,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastPageNumber": 0,
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NumberOfPages": 0,
  "TotalResults": 0
}

Create a feed

POST /api/{spaceId}/feeds

Also reachable at /api/feeds, /api/spaces/{spaceIdentifier}/feeds.

Path Parameters

  • spaceId string (required)
    The id of the space that contains the feed.

Request Body

  • ClientVersion object
    • Format enum
      Allowed values: Semver, Maven, Docker, Octopus, Lexicographic.
    • HasMetadata boolean
    • IsLegacyVersion boolean
    • IsPrerelease boolean
    • IsSemVer2 boolean
    • Major integer
    • Metadata string
    • Minor integer
    • OriginalString string
    • Patch integer
    • Release string
    • ReleaseLabels array of string
    • Revision integer
    • Version string
  • FeedType enum (required)
    The type of the feed.
    Allowed values: None, NuGet, Docker, Maven, OctopusProject, GitHub, Helm, OciRegistry, AwsElasticContainerRegistry, BuiltIn, S3, AzureContainerRegistry, GoogleContainerRegistry, ArtifactoryGeneric, Npm, GcsStorage, PyPi.
  • Name string (required)
    The name of the feed. Maximum length 44.
  • PackageAcquisitionLocationOptions array of enum
    The feed’s package acquisition location options.
    Allowed values: Server, ExecutionTarget, NotAcquired.
  • Slug string
    The slug of the feed.
  • SpaceId string (required)
    The id of the space that contains the feed.

Response

201 — Created

  • FeedType enum
    Allowed values: None, NuGet, Docker, Maven, OctopusProject, GitHub, Helm, OciRegistry, AwsElasticContainerRegistry, BuiltIn, S3, AzureContainerRegistry, GoogleContainerRegistry, ArtifactoryGeneric, Npm, GcsStorage, PyPi.
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • PackageAcquisitionLocationOptions array of enum
    Allowed values: Server, ExecutionTarget, NotAcquired.
  • Slug string
  • SpaceId string

Example Request

JSON
{
  "ClientVersion": {
    "Format": "Semver",
    "HasMetadata": true,
    "IsLegacyVersion": true,
    "IsPrerelease": true,
    "IsSemVer2": true,
    "Major": 0,
    "Metadata": "string",
    "Minor": 0,
    "OriginalString": "string",
    "Patch": 0,
    "Release": "string",
    "ReleaseLabels": [
      "string"
    ],
    "Revision": 0,
    "Version": "string"
  },
  "FeedType": "None",
  "Name": "string",
  "PackageAcquisitionLocationOptions": [
    "Server"
  ],
  "Slug": "string",
  "SpaceId": "Spaces-1"
}

Example Response

JSON
{
  "FeedType": "None",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "PackageAcquisitionLocationOptions": [
    "Server"
  ],
  "Slug": "string",
  "SpaceId": "Spaces-1"
}

Get all Feeds

GET /api/{spaceId}/feeds/all

Also reachable at /api/feeds/all, /api/spaces/{spaceIdentifier}/feeds/all.

Path Parameters

  • spaceId string (required)
    The id of the space for the Feed.

Response

200 — The requested list of Feeds

  • FeedType enum
    Allowed values: None, NuGet, Docker, Maven, OctopusProject, GitHub, Helm, OciRegistry, AwsElasticContainerRegistry, BuiltIn, S3, AzureContainerRegistry, GoogleContainerRegistry, ArtifactoryGeneric, Npm, GcsStorage, PyPi.
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • PackageAcquisitionLocationOptions array of enum
    Allowed values: Server, ExecutionTarget, NotAcquired.
  • Slug string
  • SpaceId string

Example Response

JSON
[
  {
    "FeedType": "None",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "Name": "string",
    "PackageAcquisitionLocationOptions": [
      "Server"
    ],
    "Slug": "string",
    "SpaceId": "Spaces-1"
  }
]

Get all feed statistics

GET /api/{spaceId}/feeds/stats

Also reachable at /api/feeds/stats, /api/spaces/{spaceIdentifier}/feeds/stats.

Path Parameters

  • spaceId string (required)
    The id of the space for the Feed.

Response

200 — The requested Feed Statistics

  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • TotalPackages integer

Example Response

JSON
{
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "TotalPackages": 0
}

Get a feed resource by ID

GET /api/{spaceId}/feeds/{id}

Also reachable at /api/feeds/{id}, /api/spaces/{spaceIdentifier}/feeds/{id}.

Path Parameters

  • id string (required)
    The id of the feed resource.
  • spaceId string (required)
    The id of the space that contains the feed.

Response

200 — The requested Feed

  • FeedType enum
    Allowed values: None, NuGet, Docker, Maven, OctopusProject, GitHub, Helm, OciRegistry, AwsElasticContainerRegistry, BuiltIn, S3, AzureContainerRegistry, GoogleContainerRegistry, ArtifactoryGeneric, Npm, GcsStorage, PyPi.
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • PackageAcquisitionLocationOptions array of enum
    Allowed values: Server, ExecutionTarget, NotAcquired.
  • Slug string
  • SpaceId string

Example Response

JSON
{
  "FeedType": "None",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "PackageAcquisitionLocationOptions": [
    "Server"
  ],
  "Slug": "string",
  "SpaceId": "Spaces-1"
}

Modify a feed by ID

PUT /api/{spaceId}/feeds/{id}

Also reachable at /api/feeds/{id}, /api/spaces/{spaceIdentifier}/feeds/{id}.

Path Parameters

  • id string (required)
    The id of the feed.
  • spaceId string (required)
    The id of the space that contains the feed.

Request Body

  • ClientVersion object
    • Format enum
      Allowed values: Semver, Maven, Docker, Octopus, Lexicographic.
    • HasMetadata boolean
    • IsLegacyVersion boolean
    • IsPrerelease boolean
    • IsSemVer2 boolean
    • Major integer
    • Metadata string
    • Minor integer
    • OriginalString string
    • Patch integer
    • Release string
    • ReleaseLabels array of string
    • Revision integer
    • Version string
  • FeedType enum (required)
    The type of the feed.
    Allowed values: None, NuGet, Docker, Maven, OctopusProject, GitHub, Helm, OciRegistry, AwsElasticContainerRegistry, BuiltIn, S3, AzureContainerRegistry, GoogleContainerRegistry, ArtifactoryGeneric, Npm, GcsStorage, PyPi.
  • Id string (required)
    The id of the feed.
  • Name string (required)
    The name of the feed. Maximum length 44.
  • PackageAcquisitionLocationOptions array of enum
    The feed’s package acquisition location options.
    Allowed values: Server, ExecutionTarget, NotAcquired.
  • Slug string
    The slug of the feed.
  • SpaceId string (required)
    The id of the space that contains the feed.

Response

200 — The response returned from the request to modify a feed.

  • FeedType enum
    Allowed values: None, NuGet, Docker, Maven, OctopusProject, GitHub, Helm, OciRegistry, AwsElasticContainerRegistry, BuiltIn, S3, AzureContainerRegistry, GoogleContainerRegistry, ArtifactoryGeneric, Npm, GcsStorage, PyPi.
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • PackageAcquisitionLocationOptions array of enum
    Allowed values: Server, ExecutionTarget, NotAcquired.
  • Slug string
  • SpaceId string

Example Request

JSON
{
  "ClientVersion": {
    "Format": "Semver",
    "HasMetadata": true,
    "IsLegacyVersion": true,
    "IsPrerelease": true,
    "IsSemVer2": true,
    "Major": 0,
    "Metadata": "string",
    "Minor": 0,
    "OriginalString": "string",
    "Patch": 0,
    "Release": "string",
    "ReleaseLabels": [
      "string"
    ],
    "Revision": 0,
    "Version": "string"
  },
  "FeedType": "None",
  "Id": "Feeds-1",
  "Name": "string",
  "PackageAcquisitionLocationOptions": [
    "Server"
  ],
  "Slug": "string",
  "SpaceId": "Spaces-1"
}

Example Response

JSON
{
  "FeedType": "None",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "PackageAcquisitionLocationOptions": [
    "Server"
  ],
  "Slug": "string",
  "SpaceId": "Spaces-1"
}

Delete an existing Feed

DELETE /api/{spaceId}/feeds/{id}

Also reachable at /api/feeds/{id}, /api/spaces/{spaceIdentifier}/feeds/{id}.

Path Parameters

  • id string (required)
    The ID of the Feed.
  • spaceId string (required)
    The ID of the Space that contains the Feed.

Response

200 — Success

Search the specified feed for packages based on the provided search term

GET /api/{spaceId}/feeds/{id}/packages/search

Also reachable at /api/feeds/{id}/packages/search, /api/spaces/{spaceIdentifier}/feeds/{id}/packages/search.

Path Parameters

  • id string (required)
    The id of the feed resource.
  • spaceId string (required)
    The id of the space for the Feed.

Query Parameters

  • packageType string
    The package type to filter results by. Used by feeds that can contain multiple package types. Valid values are ContainerImage and HelmChart.
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 20. Minimum 0.
  • term string
    The term to search for.

Response

200 — Holds a paginated collection of searched package descriptions

  • Id string
    Gets or sets a unique identifier for this resource.
  • ItemType string
  • Items array of object
    • Description string
    • Id string
    • LatestVersion string
    • Links object
    • Name string
  • ItemsPerPage integer
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastPageNumber integer
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "Id": "string",
  "ItemType": "string",
  "Items": [
    {
      "Description": "string",
      "Id": "string",
      "LatestVersion": "string",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "Name": "string"
    }
  ],
  "ItemsPerPage": 0,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastPageNumber": 0,
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NumberOfPages": 0,
  "TotalResults": 0
}

List available package versions for the specified feed and package

GET /api/{spaceId}/feeds/{id}/packages/versions

Also reachable at /api/feeds/{id}/packages/versions, /api/spaces/{spaceIdentifier}/feeds/{id}/packages/versions.

Path Parameters

  • id string (required)
    The id of the feed resource.
  • spaceId string (required)
    The id of the space for the Feed.

Query Parameters

  • filter string
    Version number text to filter by.
  • includePreRelease boolean
    Flag to include pre-release versions, defaults to true.
  • includeReleaseNotes boolean
    Flag to include release notes, defaults to false.
  • packageId string (required)
    The id of the package.
  • preReleaseTag string
    The semver tag regex pattern to filter by.
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.
  • versionRange string
    The range of versions to filter by.
  • versionTagRegex string
    The version-tag regex, applied to the full version string when set.
  • versioningStrategy string
    The versioning strategy: SemVer or MostRecentlyPublished.

Response

200 — Contains a paginated collection of package versions returned from a search

  • Id string
    Gets or sets a unique identifier for this resource.
  • ItemType string
  • Items array of object
    • FeedId string
    • Id string
    • Links object
    • PackageId string
    • Published string
      Date the package was published. Optional Property. Format date-time.
    • ReleaseNotes string
      Release notes for the package.
    • SizeBytes integer
      Size of package in bytes. Optional Property.
    • Title string
      Title of the package. This may be just the package name if the feed does not expose any version specific name.
    • Version string
  • ItemsPerPage integer
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastPageNumber integer
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "Id": "string",
  "ItemType": "string",
  "Items": [
    {
      "FeedId": "string",
      "Id": "string",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "PackageId": "string",
      "Published": "2020-01-01T00:00:00.000Z",
      "ReleaseNotes": "string",
      "SizeBytes": 0,
      "Title": "string",
      "Version": "string"
    }
  ],
  "ItemsPerPage": 0,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastPageNumber": 0,
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NumberOfPages": 0,
  "TotalResults": 0
}